/*
 * This file is part of Jelie,
 * (c) 2002 Julien Pilet <julien.pilet@epfl.ch> and
 * Stephane Magnenat <stephane.magnenat@epfl.ch>
 *
 * Jelie is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * Jelie is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __UTILS_S
#define __UTILS_S

.macro lreg reg val

	mov \reg, #(\val & 0xFF)

.if (\val & 0xFF00)
	add \reg, \reg, #(\val & 0xFF00)
.endif 

.if (\val & 0xFF0000)
	add \reg, \reg, #(\val & 0xFF0000)
.endif 

.if (\val & 0xFF000000)
	add \reg, \reg, #(\val & 0xFF000000)
.endif 

.endm

.macro echoByte b
	mov r0, #\b
	bl SendByte
.endm


#endif
